LEI Lookup company subsidiaries
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-lei-lookup-company-relationships \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"company": "7LTWFZYICNSX8D621K86",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-lei-lookup-company-relationships"
payload = {
"company": "7LTWFZYICNSX8D621K86",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({company: '7LTWFZYICNSX8D621K86', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-lei-lookup-company-relationships', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "lei_lookup_company_relationships",
"company": "7LTWFZYICNSX8D621K86",
"company_id": "7LTWFZYICNSX8D621K86",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# LEI Lookup (lei-lookup.com) — company relationships\n\n- **Company:** 7LTWFZYICNSX8D621K86\n- **Results:** 2 of 479 found\n- **Proxy traffic:** 191.0 KB",
"machine": {
"total_items": 2,
"first_item": {
"id": "7LTWFZYICNSX8D621K86-2138003FL72FCO53LM68",
"registration_number": "2138003FL72FCO53LM68",
"lei": "2138003FL72FCO53LM68",
"name": "HISTRIA INVERSIONES DESIGNATED ACTIVITY COMPANY",
"relation": "direct_and_ultimate_child",
"direct_child": true,
"ultimate_child": true,
"parent_lei": "7LTWFZYICNSX8D621K86",
"url": "https://www.lei-lookup.com/record/2138003FL72FCO53LM68/"
},
"items": [
{
"id": "7LTWFZYICNSX8D621K86-2138003FL72FCO53LM68",
"registration_number": "2138003FL72FCO53LM68",
"lei": "2138003FL72FCO53LM68",
"name": "HISTRIA INVERSIONES DESIGNATED ACTIVITY COMPANY",
"relation": "direct_and_ultimate_child",
"direct_child": true,
"ultimate_child": true,
"parent_lei": "7LTWFZYICNSX8D621K86",
"url": "https://www.lei-lookup.com/record/2138003FL72FCO53LM68/"
},
{
"id": "7LTWFZYICNSX8D621K86-213800D3OXAL3N7T1S19",
"registration_number": "213800D3OXAL3N7T1S19",
"lei": "213800D3OXAL3N7T1S19",
"name": "Tagus - Sociedade de Titularização de Créditos, S.A.",
"relation": "direct_and_ultimate_child",
"direct_child": true,
"ultimate_child": true,
"parent_lei": "7LTWFZYICNSX8D621K86",
"url": "https://www.lei-lookup.com/record/213800D3OXAL3N7T1S19/"
}
],
"total_found": 479,
"page_count": 1,
"blocked": false,
"proxy_traffic_bytes": 195573
},
"total_points": 2
}Company Registries
LEI Lookup company subsidiaries
Subsidiaries of one legal entity in the LEI register (direct and ultimate children): LEI, name, type of relationship and link. 1 point per returned record.
POST
/
functions
/
v1
/
run-lei-lookup-company-relationships
LEI Lookup company subsidiaries
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.